# Cellulose
# Loren Williams
# Georgia Tech
# coordinates from Cellulose Builder
# Thiago C. F. Gomes, Munir S. Skaf, Journal of Computational Chemistry 2012,
# Volume 33, Issue 14, pages 1338-1346. DOI: 10.1002/jcc.22959
# https://code.google.com/p/cellulose-builder/
	
		## General Commands ##

#-----------------------------------------------------------------------------
## Header: General Commands ##

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3

## End of Header: General Commands ##
#----------------------------------------
#----------------------------------------


load files/fibril-I-alpha/crystal.pdb, fibril
load files/crystal-I-alpha/crystal.pdb, crystal_1_a
load files/crystal-1-beta/crystal.pdb, crystal_1_b

create strand_1, crystal_1_a and segi M77
create strands_2, crystal_1_a and segi M86+M76+M87+M78+M68+M67
create strand_3, fibril and segi M6
create strands_4, fibril and segi M1+M2+M5+M11+M12+M7

#list_hb (strand_1), (strand_1) , cutoff=3.4, angle = 80, hb_list_name = HB_c1a_intra
#list_hb (strand_1), (strands_2) , cutoff=3.4, angle = 80, hb_list_name = HB_c1a_inter

#list_hb (strand_3), (strand_3) , cutoff=3.4, angle = 80, hb_list_name = HB_f_intra
#list_hb (strand_3), (strands_4) , cutoff=3.4, angle = 80, hb_list_name = HB_f_inter

dist hbond, (name HO* and strand_3), (name O* and strand_3), 2.1
dist hbond, (name HO* and strands_4), (name O* and strands_4), 2.1
dist hbond, (name HO* and strand_3), (name O* and strands_4), 2.4
dist hbond, (name HO* and strands_4), (name O* and strand_3), 2.4

color yellow, hbond




hide everything, strand*
show stick, strand*
color red, name O* and (strand*)
color white, name H* and (strand*)
color green, name C* and (strand_1)
color wheat, name C* and (strands_2)
color green, name C* and (strand_3)
color wheat, name C* and (strands_4)


disable all
enable strand_3

set_view (\
     0.705743432,    0.683431208,   -0.186590657,\
    -0.466417700,    0.646479249,    0.603737235,\
     0.533245265,   -0.339054555,    0.775031626,\
    -0.000886366,   -0.000528596,  -20.979907990,\
    31.776634216,   18.572799683,    5.772675514,\
   -41.914146423,   83.812889099,  -20.000000000 )
### cut above here and paste into script ###